version: "2.1"

services:
  frontend:
    build: .
    image: ${CI_PROJECT_NAME}:${CI_COMMIT_REF_NAME}
    restart: always
    networks:
      - web
      - default
    expose:
      - "80"
    labels:
      - "traefik.backend=${CI_PROJECT_NAME}.${CI_COMMIT_REF_NAME}"
      - "traefik.docker.network=web"
      - "traefik.frontend.rule=Host:${CI_COMMIT_REF_NAME}.${CI_PROJECT_NAME}.dev.basehosts.de"
      - "traefik.enable=true"
      - "traefik.port=80"

networks:
  web:
    external: true
